Bug 79729 - [i965] glClear on a multisample texture doesn't work
Summary: [i965] glClear on a multisample texture doesn't work
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Neil Roberts
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 16:51 UTC by Neil Roberts
Modified: 2014-06-12 10:56 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Piglit test that demonstrates the problem (7.97 KB, patch)
2014-06-06 16:53 UTC, Neil Roberts
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Neil Roberts 2014-06-06 16:51:35 UTC
Calling glClear on a framebuffer bound to a multisample texture doesn't seem to do anything. I think this has something to do with the fast clear implementation because if the clear is scissored or the color is changed to something that doesn't have 0.0 or 1.0 in the components then the fast color is disabled and it works.
Comment 1 Neil Roberts 2014-06-06 16:53:48 UTC
Created attachment 100522 [details] [review]
Piglit test that demonstrates the problem
Comment 2 Neil Roberts 2014-06-09 16:48:59 UTC
I've posted a patch for this on the mailing list:

http://lists.freedesktop.org/archives/mesa-dev/2014-June/061035.html
Comment 3 Neil Roberts 2014-06-12 10:56:07 UTC
I've pushed the commit so I guess this bug is fixed now.

http://cgit.freedesktop.org/mesa/mesa/commit/?id=765efeef883cdbb86e052acd88

I've posted the Piglit test to the mailing list as well.

http://lists.freedesktop.org/archives/piglit/2014-June/011161.html


bug/show.html.tmpl processed on Dec 08, 2016 at 07:52:13.
(provided by the Example extension).